Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/reinforcements/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/reinforcements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/reinforcements/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "<string>",
"assetId": "<string>",
"assetValue": "<string>",
"assetType": "",
"vulnerabilities": [
{
"name": "<string>",
"description": "",
"category": {
"name": "<string>",
"severity": "medium",
"isCustom": false
},
"aiGeneratedName": false,
"aiGeneratedDesc": false,
"poc": "<string>",
"stepsToReproduce": "<string>",
"cvss": "<string>",
"impact": "<string>",
"otherInfo": "<string>"
}
],
"agentProcessing": {},
"status": "pending",
"userNotes": "",
"reconIQContribution": 0,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"reportContent": "<string>",
"reportFileName": "<string>",
"discoveryMethodology": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Reinforcements
Get a resource by id
GET
/
api
/
reinforcements
/
{id}
Get a resource by id
curl --request GET \
--url https://aquila.attaxr.com/api/reinforcements/{id} \
--cookie better-auth.session_token=const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://aquila.attaxr.com/api/reinforcements/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://aquila.attaxr.com/api/reinforcements/{id}"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text){
"userId": "<string>",
"assetId": "<string>",
"assetValue": "<string>",
"assetType": "",
"vulnerabilities": [
{
"name": "<string>",
"description": "",
"category": {
"name": "<string>",
"severity": "medium",
"isCustom": false
},
"aiGeneratedName": false,
"aiGeneratedDesc": false,
"poc": "<string>",
"stepsToReproduce": "<string>",
"cvss": "<string>",
"impact": "<string>",
"otherInfo": "<string>"
}
],
"agentProcessing": {},
"status": "pending",
"userNotes": "",
"reconIQContribution": 0,
"createdAt": "<unknown>",
"updatedAt": "<unknown>",
"_id": "<string>",
"reportContent": "<string>",
"reportFileName": "<string>",
"discoveryMethodology": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
apiKeyCookieapiKeyHeaderbearerAuth
Browser session cookie set by Better Auth sign-in.
Path Parameters
Response
The resource.
Minimum array length:
1Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
pending, processing, completed, failed Required range:
0 <= x <= 1000
